The WhatsApp accounts endpoint lets you create and update WhatsApp accounts as well as get account activity and leave comments.
Provisioning API (1.2.36)
Request
Update an account.
It is only possible to update an account that has been rejected. After update the status will be set to IN_PROGRESS.
The unique ID of the project. You can find this on the Sinch Dashboard.
Supported account fields to update.
The registered name of the brand who will be engaging with their users needs to be specified. This name must match the name associated with the Facebook Business Manager ID below. You can verify the registered name by visiting: https://business.facebook.com/select/?business_id=<your_business_manager_id> Ensure that the name shown exactly matches the one you enter here.
The Business Manager ID for the client to create the account. This can be found in the Meta Business Manager in Business Settings > Business Info below the Business Manager Account Name.
The registered name of the brand who will be engaging with their users needs to be specified. This name must match the name associated with the Facebook Business Manager ID below. You can verify the registered name by visiting: https://business.facebook.com/select/?business_id=<your_business_manager_id> Ensure that the name shown exactly matches the one you enter here.
- Production serverhttps://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp
- Staging server from master branchhttps://provisioning-api.int.staging.sinch.com/v1/projects/{projectId}/whatsapp
- Staging server from dev branchhttps://provisioning-api-dev.int.staging.sinch.com/v1/projects/{projectId}/whatsapp
- Internal production server for admin authorizationhttps://provisioning-api.unauth.int.prod.sinch.com/v1/projects/{projectId}/whatsapp
- Internal staging server from master branch for admin authorizationhttps://provisioning-api.unauth.int.staging.sinch.com/v1/projects/{projectId}/whatsapp
- Internal staging server from dev branch for admin authorizationhttps://provisioning-api-dev.unauth.int.staging.sinch.com/v1/projects/{projectId}/whatsapp
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
- input
- partnerInitiated
curl -i -X PATCH \
-u <username>:<password> \
'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"companyLegalName": "Updated legal name of company",
"wabaName": "Updated legal name of company",
"clientBusinessManagerId": "1234567890"
}'Account
true if the Account was created through Embedded Signup. false otherwise.
Business manager.
Conversation API app regions the sender can be used for.
The current state of your account.
Ban state when account has been banned.
Two-letter country code in ISO 3166 standard, specifying the country where business is based
{ "state": "REJECTED", "isEmbeddedSignup": false, "businessManager": "SINCH_UK", "wabaId": "1234567890", "changes": { "status": "IN_PROGRESS", "details": { … } }, "details": { "companyLegalName": "Legal name of company", "wabaName": "Legal name of company", "clientBusinessManagerId": "1234567890" }, "wabaEnabledForInsights": true, "wabaEnabledForDirectSend": false, "compatibleRegions": [ "eu", "us" ] }
The unique ID of the project. You can find this on the Sinch Dashboard.
- Production serverhttps://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/activities
- Staging server from master branchhttps://provisioning-api.int.staging.sinch.com/v1/projects/{projectId}/whatsapp/activities
- Staging server from dev branchhttps://provisioning-api-dev.int.staging.sinch.com/v1/projects/{projectId}/whatsapp/activities
- Internal production server for admin authorizationhttps://provisioning-api.unauth.int.prod.sinch.com/v1/projects/{projectId}/whatsapp/activities
- Internal staging server from master branch for admin authorizationhttps://provisioning-api.unauth.int.staging.sinch.com/v1/projects/{projectId}/whatsapp/activities
- Internal staging server from dev branch for admin authorizationhttps://provisioning-api-dev.unauth.int.staging.sinch.com/v1/projects/{projectId}/whatsapp/activities
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
-u <username>:<password> \
'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/activities?pageToken=string&pageSize=1' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'{ "totalSize": 2, "pageSize": 50, "notifications": [ { … }, { … } ] }
The unique ID of the project. You can find this on the Sinch Dashboard.
Comment data
- Production serverhttps://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/comments
- Staging server from master branchhttps://provisioning-api.int.staging.sinch.com/v1/projects/{projectId}/whatsapp/comments
- Staging server from dev branchhttps://provisioning-api-dev.int.staging.sinch.com/v1/projects/{projectId}/whatsapp/comments
- Internal production server for admin authorizationhttps://provisioning-api.unauth.int.prod.sinch.com/v1/projects/{projectId}/whatsapp/comments
- Internal staging server from master branch for admin authorizationhttps://provisioning-api.unauth.int.staging.sinch.com/v1/projects/{projectId}/whatsapp/comments
- Internal staging server from dev branch for admin authorizationhttps://provisioning-api-dev.unauth.int.staging.sinch.com/v1/projects/{projectId}/whatsapp/comments
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/comments' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"comment": "Example comment."
}'{ "type": "CREATED", "comment": "Example comment", "created": "2023-01-19T13:11:08.204Z" }
A WhatsApp Sender is also referred to as a 'Business Profile' or a WhatsApp channel. The WhatsApp Sender endpoint allows you to create a Sender through Meta's Embedded sign up. A Sender must be provisioned for you as a consumer of the WhatsApp API to send messages to your end users.